%global pypi_name          msgpack
%global pypi_version       1.0.3
%global pypi_prefix        %(c=%{pypi_name}; echo ${c:0:1})
%global python_version_min 3.6

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        2%{?dist}
Summary:        Python MessagePack (de)serializer

License:        Apache 2.0
URL:            https://msgpack.org/
Source0:        https://files.pythonhosted.org/packages/source/%{pypi_prefix}/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  python%{python3_pkgversion}-devel >= %{python_version_min}
BuildRequires:  python3dist(setuptools)

%global _description %{expand:
MessagePack is a binary-based efficient data interchange format that is
focused on high performance. It is like JSON, but very fast and small.
This is a Python %{python3_version} (de)serializer for MessagePack.}

%description %_description


%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}

%description -n python%{python3_pkgversion}-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{pypi_version}

%build
%py3_build

%install
%py3_install

%check
%{__python3} setup.py test

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Thu Apr 14 2022 Daniel Uvehag <ufven+pkgs@proton.me> - 1.0.3-2
- Update version to use PyPi version.

* Thu Apr 14 2022 Daniel Uvehag <ufven+pkgs@proton.me> - 1.0.3-1
- Initial package.
